Brivio API reference
Rewards

Member balance, level, streak and expiry (scope: rewards:read)

GET
/rewards/members/{ref}

Authorization

bearerAuth
headerAuthorizationBearer <token>

API key as Bearer token

Path Parameters

ref*string

customer:<uuid> for an end customer of your organization, otherwise your own external id (URL-encode it).

Lengthlength <= 200

Response Body

OK

application/json
  1. response
data*
error*null
curl -X GET "https://example.com/rewards/members/string"
{  "data": {    "ref": "string",    "programKey": "string",    "memberId": 0,    "optedIn": true,    "optedInAt": "2019-08-24T14:15:22Z",    "holdout": true,    "balance": {      "available": 0,      "pending": 0,      "inDebt": true    },    "level": {      "level": 0,      "xp": 0,      "floor": 0,      "next": 0,      "ratio": 0    },    "streak": {      "current": 0,      "longest": 0,      "freezes": 0,      "atRisk": true,      "currentPeriod": "string",      "activeThisPeriod": true    },    "expiry": {      "units": 0,      "at": "2019-08-24T14:15:22Z"    },    "perks": [      "string"    ]  },  "error": null}